# Democratic Mediums

*Patterns for decision, deliberation, and noise*

A project of the [Media Enterprise Design Lab](http://cmci.colorado.edu/medlab/)
at the University of Colorado Boulder.

Live demo: [medlabboulder.gitlab.io/democraticmediums](https://medlabboulder.gitlab.io/democraticmediums/)

## Contributing

Democratic Mediums is a participatory project that depends on community contributions. Please share your expertise by helping to make this resource more useful for others.

To contribute, you can fork [the project on GitLab](https://gitlab.com/medlabboulder/democraticmediums) and submit a merge request once you have made your changes. The website is built with [MkDocs](https://www.mkdocs.org/), a simple but powerful static site generator for Markdown files.

All site content is located in the [docs/ directory](https://gitlab.com/medlabboulder/democraticmediums/tree/master/docs), which in turn is organized roughly as it appears on the site itself.

**The easiest way to contribute** is to use the website's integration with the GitLab online editor:

* Navigate to the page you want to edit on the Democratic Mediums website and click the edit button (a small pencil icon)
* Sign into GitLab with an existing account or create a new one
* GitLab will offer to create a "fork" for you, which is a copy of the site in your GitLab account—do so!
* Edit the page as you wish; to edit multiple pages, it may be easier to use GitLab's "Web IDE"
* Add a "commit message" summarizing your suggested change and click "Commit changes"
* Fill out any additional information you want in the merge request form and submit it
* Your merge will be approved, if appropriate, as soon as possible

Please let us know if you have any questions at [medlab@colorado.edu](mailto:medlab@colorado.edu). If you prefer not to use GitLab for contributions, you can also simply email suggestions there.

## To do

* Load initial Mediums pages
